#!/bin/sh

usage()
{
    cat <<EOF
Usage: id-pbuild-root.sh [OPTIONS]
Options:
        [--dsc=dscfile]
	[--dist=distribution]
	[--arch=architecture]
        [--home=home]

This script is should be called with root privilege. It is meant to be
called by id-pbuild.sh.
EOF
    exit $1
}

while test $# -gt 0; do
    case "$1" in
	-*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
	*) optarg= ;;
    esac
    
    case $1 in
	--dist=*)
	    dist=$optarg
	    ;;
	--arch=*)
	    arch=$optarg
	    ;;
	--dsc=*)
	    dsc=$optarg
	    ;;
	--home=*)
	    HOME=$optarg
	    ;;
	-*)
	    usage 1
	    ;;
    esac
    shift
done

PBUILDER=/usr/sbin/pbuilder

if test -z "$dist" -o -z "$arch"; then
    echo "dist and arch must be given"
    usage 1
fi
rm -fr ${dist}-${arch}

if test ! -f $HOME/.pbuilderrc; then
    echo "$HOME/.pbuilderrc missing"
    exit 1
fi
if test "$dsc"; then
    if test ! -f /var/cache/pbuilder/${dist}-${arch}-base.tgz; then
	DIST=$dist ARCH=$arch $PBUILDER --create
    fi
    DIST=$dist ARCH=$arch $PBUILDER --update --override-config
    DIST=$dist ARCH=$arch $PBUILDER --build $dsc
fi

# Local Variables:
# mode:shell-script
# sh-indentation: 2
# sh-basic-offset: 4
# End:
